> ## Documentation Index
> Fetch the complete documentation index at: https://docs.isaacus.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Enrichment

> Enrich documents with an Isaacus enrichment model.



## OpenAPI

````yaml https://app.stainless.com/api/spec/documented/isaacus/openapi.documented.yml post /enrichments
openapi: 3.1.0
info:
  title: Isaacus API
  version: 0.8.2
  description: A RESTful API for using Isaacus legal models, data and other solutions.
  termsOfService: https://isaacus.com/terms
  contact:
    name: Isaacus Support
    url: https://isaacus.com/support
    email: support@isaacus.com
  license:
    name: Apache 2.0
    url: https://github.com/isaacus-dev/openapi/blob/main/LICENSE
servers:
  - url: https://api.isaacus.com/v1
security:
  - APIKeyBearerTokenAuth: []
tags:
  - name: Enrichments
    description: Enrich documents with an Isaacus enrichment model.
  - name: Embeddings
    description: Vectorize content with an Isaacus embedding model.
  - name: Rerankings
    description: >-
      Score and rank documents by their relevance to queries with an Isaacus
      reranker.
  - name: Extractions
    description: Extract information from documents with an Isaacus extraction model.
  - name: Classifications
    description: Classify documents with an Isaacus classification model.
externalDocs:
  url: https://docs.isaacus.com/api-reference
  description: Reference documentation for the Isaacus API.
paths:
  /enrichments:
    post:
      tags:
        - Enrichments
      summary: Enrichment
      description: Enrich documents with an Isaacus enrichment model.
      operationId: CreateEnrichments
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EnrichmentRequest'
        required: true
      responses:
        '200':
          description: The enriched documents alongside usage statistics.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EnrichmentResponse'
              examples:
                example:
                  value:
                    results:
                      - index: 0
                        document:
                          version: ilgs@1
                          text: >-
                            [42] The U.S. Attorney General, Mr. McGill, argued
                            at ¶ 21 of the Filing that "§ 206 of Title 29 of the
                            U.S. Code (the "Labor Title") does not apply to the
                            plaintiff, Ms. Moody, given the definition of an
                            "employee" at §203(e)(4) of the Labor Title does not
                            include volunteers, and, regardless, she lives in
                            Austria."
                          title: null
                          subtitle: null
                          type: other
                          jurisdiction: US-FED
                          segments:
                            - id: seg:0
                              kind: unit
                              type: paragraph
                              category: annotation
                              type_name: null
                              code:
                                start: 0
                                end: 4
                              title: null
                              parent: null
                              children: []
                              level: 0
                              span:
                                start: 0
                                end: 317
                          crossreferences: []
                          locations:
                            - id: loc:0
                              name:
                                start: 308
                                end: 315
                              type: country
                              parent: null
                              children: []
                              mentions:
                                - start: 308
                                  end: 315
                          persons:
                            - id: per:0
                              name:
                                start: 32
                                end: 42
                              type: natural
                              role: defense_counsel
                              parent: null
                              children: []
                              residence: null
                              mentions:
                                - start: 32
                                  end: 42
                            - id: per:1
                              name:
                                start: 167
                                end: 176
                              type: natural
                              role: plaintiff
                              parent: null
                              children: []
                              residence: loc:0
                              mentions:
                                - start: 167
                                  end: 176
                          emails: []
                          websites: []
                          phone_numbers: []
                          id_numbers: []
                          terms:
                            - id: term:0
                              name:
                                start: 120
                                end: 131
                              meaning:
                                start: 88
                                end: 113
                              mentions:
                                - start: 237
                                  end: 248
                          external_documents:
                            - id: exd:0
                              name:
                                start: 66
                                end: 72
                              type: other
                              jurisdiction: US-FED
                              reception: neutral
                              mentions:
                                - start: 66
                                  end: 72
                              pinpoints:
                                - start: 54
                                  end: 58
                            - id: exd:1
                              name:
                                start: 80
                                end: 113
                              type: statute
                              jurisdiction: US-FED
                              reception: neutral
                              mentions:
                                - start: 80
                                  end: 113
                              pinpoints:
                                - start: 79
                                  end: 84
                                - start: 219
                                  end: 229
                          quotes:
                            - source_segment: null
                              source_document: exd:0
                              source_person: per:0
                              amending: false
                              span:
                                start: 79
                                end: 317
                          dates: []
                          headings: []
                          junk: []
                    usage:
                      input_tokens: 91
        '400':
          description: The request was invalid or could not be processed.
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ValidationError'
              examples:
                Validation error:
                  summary: Validation error
                  value:
                    type: >-
                      https://docs.isaacus.com/api-reference/errors#400-validation-error
                    title: Validation error
                    status: 400
                    detail: The request was invalid or could not be processed.
                    instance: null
                Enrichment input too large error:
                  summary: Enrichment input too large error
                  value:
                    type: >-
                      https://docs.isaacus.com/api-reference/errors#400-validation-error
                    title: Enrichment input too large error
                    status: 400
                    detail: >-
                      The input to the enrichment model exceeds its maximum
                      context window yet no overflow strategy was set. We
                      recommend setting `overflow_strategy` to `auto` or
                      `chunk`, both of which will break documents up into
                      smaller chunks that fit within the model's context window
                      and then intelligently merge the results into a single
                      prediction at the cost of a minor accuracy drop.
                    instance: null
        '401':
          description: >-
            The API key you provided does not exist, is expired or revoked, or
            is not authorized to access this resource.
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/UnauthorizedAPIKeyError'
              examples:
                Unauthorized API key error:
                  summary: Unauthorized API key error
                  value:
                    type: >-
                      https://docs.isaacus.com/api-reference/errors#401-not-authenticated
                    title: Unauthorized API key error
                    status: 401
                    detail: >-
                      The API key you provided does not exist, is expired or
                      revoked, or is not authorized to access this resource.
                    instance: null
                Incorrect API key error:
                  summary: Incorrect API key error
                  value:
                    type: >-
                      https://docs.isaacus.com/api-reference/errors#401-not-authenticated
                    title: Incorrect API key error
                    status: 401
                    detail: >-
                      The API key you provided does not exist or is expired or
                      revoked.
                    instance: null
        '402':
          description: >-
            Your account is overdue, please pay any outstanding invoices to
            continue using our services.
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/AccountOverdueError'
              examples:
                Account overdue error:
                  summary: Account overdue error
                  value:
                    type: >-
                      https://docs.isaacus.com/api-reference/errors#402-payment-required
                    title: Account overdue error
                    status: 402
                    detail: >-
                      Your account is overdue, please pay any outstanding
                      invoices to continue using our services.
                    instance: null
        '403':
          description: You are not allowed to access this resource.
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/AccessForbiddenError'
              examples:
                Access forbidden error:
                  summary: Access forbidden error
                  value:
                    type: >-
                      https://docs.isaacus.com/api-reference/errors#403-access-forbidden
                    title: Access forbidden error
                    status: 403
                    detail: You are not allowed to access this resource.
                    instance: null
                No subscription error:
                  summary: No subscription error
                  value:
                    type: >-
                      https://docs.isaacus.com/api-reference/errors#403-access-forbidden
                    title: No subscription error
                    status: 403
                    detail: >-
                      You do not have an active subscription to our zero-flat
                      fee, usage-based API plan.
                    instance: null
        '413':
          description: The request is larger than the server is willing or able to process.
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/RequestTooLargeError'
              examples:
                Request too large error:
                  summary: Request too large error
                  value:
                    type: >-
                      https://docs.isaacus.com/api-reference/errors#413-request-too-large
                    title: Request too large error
                    status: 413
                    detail: >-
                      The request is larger than the server is willing or able
                      to process.
                    instance: null
        '500':
          description: An unexpected error occurred while processing the request.
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/InternalServerError'
              examples:
                Internal server error:
                  summary: Internal server error
                  value:
                    type: >-
                      https://docs.isaacus.com/api-reference/errors#500-internal-server-error
                    title: Internal server error
                    status: 500
                    detail: An unexpected error occurred while processing the request.
                    instance: null
                Chunking timeout error:
                  summary: Chunking timeout error
                  value:
                    type: >-
                      https://docs.isaacus.com/api-reference/errors#500-internal-server-error
                    title: Chunking timeout error
                    status: 500
                    detail: >-
                      Chunking timed out. Did you try to chunk a very large text
                      with a very low chunk size or very little variation in
                      levels of whitespace?
                    instance: null
      deprecated: false
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Isaacus from 'isaacus';

            const client = new Isaacus({
              apiKey: process.env['ISAACUS_API_KEY'], // This is the default and can be omitted
            });

            const enrichmentResponse = await client.enrichments.create({
              model: 'kanon-2-enricher',
              texts: [
                '[42] The U.S. Attorney General, Mr. McGill, argued at ¶ 21 of the Filing that "§ 206 of Title 29 of the U.S. Code (the "Labor Title") does not apply to the plaintiff, Ms. Moody, given the definition of an "employee" at §203(e)(4) of the Labor Title does not include volunteers, and, regardless, she lives in Austria."',
              ],
            });

            console.log(enrichmentResponse.results);
        - lang: Python
          source: |-
            import os
            from isaacus import Isaacus

            client = Isaacus(
                api_key=os.environ.get("ISAACUS_API_KEY"),  # This is the default and can be omitted
            )
            enrichment_response = client.enrichments.create(
                model="kanon-2-enricher",
                texts=["[42] The U.S. Attorney General, Mr. McGill, argued at ¶ 21 of the Filing that \"§ 206 of Title 29 of the U.S. Code (the \"Labor Title\") does not apply to the plaintiff, Ms. Moody, given the definition of an \"employee\" at §203(e)(4) of the Labor Title does not include volunteers, and, regardless, she lives in Austria.\""],
            )
            print(enrichment_response.results)
components:
  schemas:
    EnrichmentRequest:
      properties:
        model:
          type: string
          const: kanon-2-enricher
          description: >-
            The ID of the [model](https://docs.isaacus.com/models#enrichment) to
            use for enrichment.
          examples:
            - kanon-2-enricher
        texts:
          oneOf:
            - items:
                type: string
              type: array
            - type: string
          description: >-
            A text or array of texts to be enriched, each containing at least
            one non-whitespace character.


            No more than 8 texts can be enriched in a single request.
          examples:
            - - 1.5 You (the "User") agree to be bound by these Terms.
        overflow_strategy:
          type:
            - 'null'
            - string
          enum:
            - auto
            - drop_end
            - chunk
            - null
          description: >-
            The strategy for handling content exceeding the model's maximum
            input length.


            `auto`, which is the recommended setting, currently behaves the same
            as `chunk`, which intelligently breaks the input up into smaller
            chunks and then stitches the results back together into a single
            prediction. In the future `auto` may implement even more
            sophisticated strategies for handling long contexts such as
            leveraging chunk overlap and/or a specialized stitching model.


            `chunk` breaks the input up into smaller chunks that fit within the
            model's context window and then intelligently merges the results
            into a single prediction at the cost of a minor accuracy drop.


            `drop_end` drops tokens from the end of input exceeding the model's
            maximum input length.


            `null`, which is the default setting, raises an error if the input
            exceeds the model's maximum input length.
          examples:
            - auto
      type: object
      required:
        - model
        - texts
      title: Enrichment request
      description: A request to enrich texts with an Isaacus enrichment model.
      examples:
        - model: kanon-2-enricher
          texts:
            - >-
              [42] The U.S. Attorney General, Mr. McGill, argued at ¶ 21 of the
              Filing that "§ 206 of Title 29 of the U.S. Code (the "Labor
              Title") does not apply to the plaintiff, Ms. Moody, given the
              definition of an "employee" at §203(e)(4) of the Labor Title does
              not include volunteers, and, regardless, she lives in Austria."
          overflow_strategy: auto
    EnrichmentResponse:
      properties:
        results:
          items:
            $ref: '#/components/schemas/EnrichmentResult'
          type: array
          description: >-
            The enriched documents alongside, and in order of, their indices in
            the input array of texts.
          examples:
            - version: ilgs@1
              text: >-
                [42] The U.S. Attorney General, Mr. McGill, argued at ¶ 21 of
                the Filing that "§ 206 of Title 29 of the U.S. Code (the "Labor
                Title") does not apply to the plaintiff, Ms. Moody, given the
                definition of an "employee" at §203(e)(4) of the Labor Title
                does not include volunteers, and, regardless, she lives in
                Austria."
              title: null
              subtitle: null
              type: other
              jurisdiction: US-FED
              segments:
                - id: seg:0
                  kind: unit
                  type: paragraph
                  category: annotation
                  type_name: null
                  code:
                    start: 0
                    end: 4
                  title: null
                  parent: null
                  children: []
                  level: 0
                  span:
                    start: 0
                    end: 317
              crossreferences: []
              locations:
                - id: loc:0
                  name:
                    start: 308
                    end: 315
                  type: country
                  parent: null
                  children: []
                  mentions:
                    - start: 308
                      end: 315
              persons:
                - id: per:0
                  name:
                    start: 32
                    end: 42
                  type: natural
                  role: defense_counsel
                  parent: null
                  children: []
                  residence: null
                  mentions:
                    - start: 32
                      end: 42
                - id: per:1
                  name:
                    start: 167
                    end: 176
                  type: natural
                  role: plaintiff
                  parent: null
                  children: []
                  residence: loc:0
                  mentions:
                    - start: 167
                      end: 176
              emails: []
              websites: []
              phone_numbers: []
              id_numbers: []
              terms:
                - id: term:0
                  name:
                    start: 120
                    end: 131
                  meaning:
                    start: 88
                    end: 113
                  mentions:
                    - start: 237
                      end: 248
              external_documents:
                - id: exd:0
                  name:
                    start: 66
                    end: 72
                  type: other
                  jurisdiction: US-FED
                  reception: neutral
                  mentions:
                    - start: 66
                      end: 72
                  pinpoints:
                    - start: 54
                      end: 58
                - id: exd:1
                  name:
                    start: 80
                    end: 113
                  type: statute
                  jurisdiction: US-FED
                  reception: neutral
                  mentions:
                    - start: 80
                      end: 113
                  pinpoints:
                    - start: 79
                      end: 84
                    - start: 219
                      end: 229
              quotes:
                - source_segment: null
                  source_document: exd:0
                  source_person: per:0
                  amending: false
                  span:
                    start: 79
                    end: 317
              dates: []
              headings: []
              junk: []
        usage:
          $ref: '#/components/schemas/EnrichmentUsage'
      type: object
      required:
        - results
        - usage
      title: Enrichment response
      examples:
        - results:
            - index: 0
              document:
                version: ilgs@1
                text: >-
                  [42] The U.S. Attorney General, Mr. McGill, argued at ¶ 21 of
                  the Filing that "§ 206 of Title 29 of the U.S. Code (the
                  "Labor Title") does not apply to the plaintiff, Ms. Moody,
                  given the definition of an "employee" at §203(e)(4) of the
                  Labor Title does not include volunteers, and, regardless, she
                  lives in Austria."
                title: null
                subtitle: null
                type: other
                jurisdiction: US-FED
                segments:
                  - id: seg:0
                    kind: unit
                    type: paragraph
                    category: annotation
                    type_name: null
                    code:
                      start: 0
                      end: 4
                    title: null
                    parent: null
                    children: []
                    level: 0
                    span:
                      start: 0
                      end: 317
                crossreferences: []
                locations:
                  - id: loc:0
                    name:
                      start: 308
                      end: 315
                    type: country
                    parent: null
                    children: []
                    mentions:
                      - start: 308
                        end: 315
                persons:
                  - id: per:0
                    name:
                      start: 32
                      end: 42
                    type: natural
                    role: defense_counsel
                    parent: null
                    children: []
                    residence: null
                    mentions:
                      - start: 32
                        end: 42
                  - id: per:1
                    name:
                      start: 167
                      end: 176
                    type: natural
                    role: plaintiff
                    parent: null
                    children: []
                    residence: loc:0
                    mentions:
                      - start: 167
                        end: 176
                emails: []
                websites: []
                phone_numbers: []
                id_numbers: []
                terms:
                  - id: term:0
                    name:
                      start: 120
                      end: 131
                    meaning:
                      start: 88
                      end: 113
                    mentions:
                      - start: 237
                        end: 248
                external_documents:
                  - id: exd:0
                    name:
                      start: 66
                      end: 72
                    type: other
                    jurisdiction: US-FED
                    reception: neutral
                    mentions:
                      - start: 66
                        end: 72
                    pinpoints:
                      - start: 54
                        end: 58
                  - id: exd:1
                    name:
                      start: 80
                      end: 113
                    type: statute
                    jurisdiction: US-FED
                    reception: neutral
                    mentions:
                      - start: 80
                        end: 113
                    pinpoints:
                      - start: 79
                        end: 84
                      - start: 219
                        end: 229
                quotes:
                  - source_segment: null
                    source_document: exd:0
                    source_person: per:0
                    amending: false
                    span:
                      start: 79
                      end: 317
                dates: []
                headings: []
                junk: []
          usage:
            input_tokens: 91
    ValidationError:
      properties:
        type:
          type: string
          minLength: 1
          title: Non-empty string
          description: A URI reference that identifies the problem type.
          default: https://docs.isaacus.com/api-reference/errors#400-validation-error
          examples:
            - https://docs.isaacus.com/api-reference/errors#400-validation-error
        title:
          type: string
          minLength: 1
          title: Non-empty string
          description: A short, human-readable summary of the problem type.
          default: Validation error
          examples:
            - Validation error
        status:
          type: integer
          const: 400
          description: >-
            The HTTP status code generated by the origin server for this
            occurrence of the problem.
          default: 400
          examples:
            - 400
        detail:
          oneOf:
            - type: string
              minLength: 1
              title: Non-empty string
              description: A string with at least one character.
              default: The request was invalid or could not be processed.
              examples:
                - A string.
            - type: 'null'
          description: >-
            An optional human-readable explanation specific to this occurrence
            of the problem.
          default: The request was invalid or could not be processed.
          examples:
            - The request was invalid or could not be processed.
        instance:
          oneOf:
            - type: string
              minLength: 1
              title: Non-empty string
              description: A string with at least one character.
              examples:
                - A string.
            - type: 'null'
          description: >-
            An optional URI reference that identifies the specific occurrence of
            the problem.
          examples:
            - null
      type: object
      required: []
      title: Validation error
      description: An RFC 7807 problem detail object.
      examples:
        - type: https://docs.isaacus.com/api-reference/errors#400-validation-error
          title: Validation error
          status: 400
          detail: The request was invalid or could not be processed.
          instance: null
    UnauthorizedAPIKeyError:
      properties:
        type:
          type: string
          minLength: 1
          title: Non-empty string
          description: A URI reference that identifies the problem type.
          default: https://docs.isaacus.com/api-reference/errors#401-not-authenticated
          examples:
            - >-
              https://docs.isaacus.com/api-reference/errors#401-not-authenticated
        title:
          type: string
          minLength: 1
          title: Non-empty string
          description: A short, human-readable summary of the problem type.
          default: Unauthorized API key error
          examples:
            - Unauthorized API key error
        status:
          type: integer
          const: 401
          description: >-
            The HTTP status code generated by the origin server for this
            occurrence of the problem.
          default: 401
          examples:
            - 401
        detail:
          oneOf:
            - type: string
              minLength: 1
              title: Non-empty string
              description: A string with at least one character.
              default: >-
                The API key you provided does not exist, is expired or revoked,
                or is not authorized to access this resource.
              examples:
                - A string.
            - type: 'null'
          description: >-
            An optional human-readable explanation specific to this occurrence
            of the problem.
          default: >-
            The API key you provided does not exist, is expired or revoked, or
            is not authorized to access this resource.
          examples:
            - >-
              The API key you provided does not exist, is expired or revoked, or
              is not authorized to access this resource.
        instance:
          oneOf:
            - type: string
              minLength: 1
              title: Non-empty string
              description: A string with at least one character.
              examples:
                - A string.
            - type: 'null'
          description: >-
            An optional URI reference that identifies the specific occurrence of
            the problem.
          examples:
            - null
      type: object
      required: []
      title: Unauthorized API key error
      description: An RFC 7807 problem detail object.
      examples:
        - type: https://docs.isaacus.com/api-reference/errors#401-not-authenticated
          title: Unauthorized API key error
          status: 401
          detail: >-
            The API key you provided does not exist, is expired or revoked, or
            is not authorized to access this resource.
          instance: null
    AccountOverdueError:
      properties:
        type:
          type: string
          minLength: 1
          title: Non-empty string
          description: A URI reference that identifies the problem type.
          default: https://docs.isaacus.com/api-reference/errors#402-payment-required
          examples:
            - https://docs.isaacus.com/api-reference/errors#402-payment-required
        title:
          type: string
          minLength: 1
          title: Non-empty string
          description: A short, human-readable summary of the problem type.
          default: Account overdue error
          examples:
            - Account overdue error
        status:
          type: integer
          const: 402
          description: >-
            The HTTP status code generated by the origin server for this
            occurrence of the problem.
          default: 402
          examples:
            - 402
        detail:
          oneOf:
            - type: string
              minLength: 1
              title: Non-empty string
              description: A string with at least one character.
              default: >-
                Your account is overdue, please pay any outstanding invoices to
                continue using our services.
              examples:
                - A string.
            - type: 'null'
          description: >-
            An optional human-readable explanation specific to this occurrence
            of the problem.
          default: >-
            Your account is overdue, please pay any outstanding invoices to
            continue using our services.
          examples:
            - >-
              Your account is overdue, please pay any outstanding invoices to
              continue using our services.
        instance:
          oneOf:
            - type: string
              minLength: 1
              title: Non-empty string
              description: A string with at least one character.
              examples:
                - A string.
            - type: 'null'
          description: >-
            An optional URI reference that identifies the specific occurrence of
            the problem.
          examples:
            - null
      type: object
      required: []
      title: Account overdue error
      description: An RFC 7807 problem detail object.
      examples:
        - type: https://docs.isaacus.com/api-reference/errors#402-payment-required
          title: Account overdue error
          status: 402
          detail: >-
            Your account is overdue, please pay any outstanding invoices to
            continue using our services.
          instance: null
    AccessForbiddenError:
      properties:
        type:
          type: string
          minLength: 1
          title: Non-empty string
          description: A URI reference that identifies the problem type.
          default: https://docs.isaacus.com/api-reference/errors#403-access-forbidden
          examples:
            - https://docs.isaacus.com/api-reference/errors#403-access-forbidden
        title:
          type: string
          minLength: 1
          title: Non-empty string
          description: A short, human-readable summary of the problem type.
          default: Access forbidden error
          examples:
            - Access forbidden error
        status:
          type: integer
          const: 403
          description: >-
            The HTTP status code generated by the origin server for this
            occurrence of the problem.
          default: 403
          examples:
            - 403
        detail:
          oneOf:
            - type: string
              minLength: 1
              title: Non-empty string
              description: A string with at least one character.
              default: You are not allowed to access this resource.
              examples:
                - A string.
            - type: 'null'
          description: >-
            An optional human-readable explanation specific to this occurrence
            of the problem.
          default: You are not allowed to access this resource.
          examples:
            - You are not allowed to access this resource.
        instance:
          oneOf:
            - type: string
              minLength: 1
              title: Non-empty string
              description: A string with at least one character.
              examples:
                - A string.
            - type: 'null'
          description: >-
            An optional URI reference that identifies the specific occurrence of
            the problem.
          examples:
            - null
      type: object
      required: []
      title: Access forbidden error
      description: An RFC 7807 problem detail object.
      examples:
        - type: https://docs.isaacus.com/api-reference/errors#403-access-forbidden
          title: Access forbidden error
          status: 403
          detail: You are not allowed to access this resource.
          instance: null
    RequestTooLargeError:
      properties:
        type:
          type: string
          minLength: 1
          title: Non-empty string
          description: A URI reference that identifies the problem type.
          default: https://docs.isaacus.com/api-reference/errors#413-request-too-large
          examples:
            - >-
              https://docs.isaacus.com/api-reference/errors#413-request-too-large
        title:
          type: string
          minLength: 1
          title: Non-empty string
          description: A short, human-readable summary of the problem type.
          default: Request too large error
          examples:
            - Request too large error
        status:
          type: integer
          const: 413
          description: >-
            The HTTP status code generated by the origin server for this
            occurrence of the problem.
          default: 413
          examples:
            - 413
        detail:
          oneOf:
            - type: string
              minLength: 1
              title: Non-empty string
              description: A string with at least one character.
              default: >-
                The request is larger than the server is willing or able to
                process.
              examples:
                - A string.
            - type: 'null'
          description: >-
            An optional human-readable explanation specific to this occurrence
            of the problem.
          default: The request is larger than the server is willing or able to process.
          examples:
            - >-
              The request is larger than the server is willing or able to
              process.
        instance:
          oneOf:
            - type: string
              minLength: 1
              title: Non-empty string
              description: A string with at least one character.
              examples:
                - A string.
            - type: 'null'
          description: >-
            An optional URI reference that identifies the specific occurrence of
            the problem.
          examples:
            - null
      type: object
      required: []
      title: Request too large error
      description: An RFC 7807 problem detail object.
      examples:
        - type: https://docs.isaacus.com/api-reference/errors#413-request-too-large
          title: Request too large error
          status: 413
          detail: The request is larger than the server is willing or able to process.
          instance: null
    InternalServerError:
      properties:
        type:
          type: string
          minLength: 1
          title: Non-empty string
          description: A URI reference that identifies the problem type.
          default: >-
            https://docs.isaacus.com/api-reference/errors#500-internal-server-error
          examples:
            - >-
              https://docs.isaacus.com/api-reference/errors#500-internal-server-error
        title:
          type: string
          minLength: 1
          title: Non-empty string
          description: A short, human-readable summary of the problem type.
          default: Internal server error
          examples:
            - Internal server error
        status:
          type: integer
          const: 500
          description: >-
            The HTTP status code generated by the origin server for this
            occurrence of the problem.
          default: 500
          examples:
            - 500
        detail:
          oneOf:
            - type: string
              minLength: 1
              title: Non-empty string
              description: A string with at least one character.
              default: An unexpected error occurred while processing the request.
              examples:
                - A string.
            - type: 'null'
          description: >-
            An optional human-readable explanation specific to this occurrence
            of the problem.
          default: An unexpected error occurred while processing the request.
          examples:
            - An unexpected error occurred while processing the request.
        instance:
          oneOf:
            - type: string
              minLength: 1
              title: Non-empty string
              description: A string with at least one character.
              examples:
                - A string.
            - type: 'null'
          description: >-
            An optional URI reference that identifies the specific occurrence of
            the problem.
          examples:
            - null
      type: object
      required: []
      title: Internal server error
      description: An RFC 7807 problem detail object.
      examples:
        - type: >-
            https://docs.isaacus.com/api-reference/errors#500-internal-server-error
          title: Internal server error
          status: 500
          detail: An unexpected error occurred while processing the request.
          instance: null
    EnrichmentResult:
      properties:
        index:
          type: integer
          minimum: 0
          title: Non-negative integer
          description: >-
            The index of this document in the input array of texts, starting at
            `0` (and, therefore, ending at the number of inputs minus `1`).
          examples:
            - 0
        document:
          $ref: '#/components/schemas/ILGSv1Document'
      type: object
      required:
        - index
        - document
      title: Enrichment result
      description: An enriched document alongside its index in the input array of texts.
      examples:
        - index: 0
          document:
            version: ilgs@1
            text: >-
              [42] The U.S. Attorney General, Mr. McGill, argued at ¶ 21 of the
              Filing that "§ 206 of Title 29 of the U.S. Code (the "Labor
              Title") does not apply to the plaintiff, Ms. Moody, given the
              definition of an "employee" at §203(e)(4) of the Labor Title does
              not include volunteers, and, regardless, she lives in Austria."
            title: null
            subtitle: null
            type: other
            jurisdiction: US-FED
            segments:
              - id: seg:0
                kind: unit
                type: paragraph
                category: annotation
                type_name: null
                code:
                  start: 0
                  end: 4
                title: null
                parent: null
                children: []
                level: 0
                span:
                  start: 0
                  end: 317
            crossreferences: []
            locations:
              - id: loc:0
                name:
                  start: 308
                  end: 315
                type: country
                parent: null
                children: []
                mentions:
                  - start: 308
                    end: 315
            persons:
              - id: per:0
                name:
                  start: 32
                  end: 42
                type: natural
                role: defense_counsel
                parent: null
                children: []
                residence: null
                mentions:
                  - start: 32
                    end: 42
              - id: per:1
                name:
                  start: 167
                  end: 176
                type: natural
                role: plaintiff
                parent: null
                children: []
                residence: loc:0
                mentions:
                  - start: 167
                    end: 176
            emails: []
            websites: []
            phone_numbers: []
            id_numbers: []
            terms:
              - id: term:0
                name:
                  start: 120
                  end: 131
                meaning:
                  start: 88
                  end: 113
                mentions:
                  - start: 237
                    end: 248
            external_documents:
              - id: exd:0
                name:
                  start: 66
                  end: 72
                type: other
                jurisdiction: US-FED
                reception: neutral
                mentions:
                  - start: 66
                    end: 72
                pinpoints:
                  - start: 54
                    end: 58
              - id: exd:1
                name:
                  start: 80
                  end: 113
                type: statute
                jurisdiction: US-FED
                reception: neutral
                mentions:
                  - start: 80
                    end: 113
                pinpoints:
                  - start: 79
                    end: 84
                  - start: 219
                    end: 229
            quotes:
              - source_segment: null
                source_document: exd:0
                source_person: per:0
                amending: false
                span:
                  start: 79
                  end: 317
            dates: []
            headings: []
            junk: []
    EnrichmentUsage:
      properties:
        input_tokens:
          type: integer
          minimum: 1
          title: Positive integer
          description: The total number of tokens inputted to the model.
          examples:
            - 91
      type: object
      required:
        - input_tokens
      title: Enrichment usage
      description: >-
        Statistics about the usage of resources in the process of enriching the
        input.
      examples:
        - input_tokens: 91
    ILGSv1Document:
      properties:
        text:
          type: string
          description: The text of the document.
          examples:
            - >-
              [42] The U.S. Attorney General, Mr. McGill, argued at ¶ 21 of the
              Filing that "§ 206 of Title 29 of the U.S. Code (the "Labor
              Title") does not apply to the plaintiff, Ms. Moody, given the
              definition of an "employee" at §203(e)(4) of the Labor Title does
              not include volunteers, and, regardless, she lives in Austria."
        title:
          oneOf:
            - $ref: '#/components/schemas/ILGSv1 Span'
            - type: 'null'
          description: >-
            The span defining the title of the document or `null` if the
            document has no title or its title cannot be resolved.
          examples:
            - start: 0
              end: 30
        subtitle:
          oneOf:
            - $ref: '#/components/schemas/ILGSv1 Span'
            - type: 'null'
          description: >-
            The span defining the subtitle of the document or `null` if the
            document has no subtitle, its subtitle cannot be resolved, or has no
            `title`. The document must have a `title` for it to have a
            `subtitle`.
          examples:
            - start: 116
              end: 133
        type:
          type: string
          enum:
            - statute
            - regulation
            - decision
            - contract
            - other
          description: >-
            The type of the document, being one of `statute`, `regulation`,
            `decision`, `contract`, or `other`.


            `statute` denotes primary legislation such as acts, bills, codes,
            and constitutions.


            `regulation` denotes secondary legislation such as rules, statutory
            instruments, and ordinances.


            `decision` denotes judicial or quasi-judicial decisions such as
            court judgments, judicial opinions, and tribunal rulings.


            `contract` denotes contracts, covenants, and agreements.


            `other` is used for all other types of legal documents that do not
            fit into any of the predefined types.
          examples:
            - statute
        jurisdiction:
          oneOf:
            - type: string
              title: ILGSv1 Jurisdiction
              description: >-
                A jurisdiction code representing a country (via an initial
                country code) and, optionally, a subdivision within that country
                (via a subsequent subdivision code prefixed by a hyphen).


                All 249 ISO 3166-1 alpha-2 country codes are representable in
                addition to special `INT` and `EU` codes for international and
                European Union law, respectively.


                All 5,046 ISO 3166-2 codes are also representable in addition to
                a special `FED` code for federal law.
              examples:
                - AU-FED
            - type: 'null'
          description: >-
            The jurisdiction of the document or `null` if the jurisdiction is
            unknown.


            Jurisdictions are composed of a country code and, where applicable,
            a subdivision code prefixed by a hyphen.


            All 249 ISO 3166-1 alpha-2 country codes are representable in
            addition to special `INT` and `EU` codes for international and
            European Union law, respectively.


            All 5,046 ISO 3166-2 codes are also representable in addition to a
            special `FED` code for federal law.
          examples:
            - AU-FED
        segments:
          items:
            $ref: '#/components/schemas/ILGSv1 Segment'
          type: array
          description: >-
            An array of segments within the document representing structurally
            distinct portions of its content.
          examples:
            - - id: seg:46
                kind: container
                type: section
                category: main
                type_name:
                  start: 3453
                  end: 3460
                code:
                  start: 3461
                  end: 3462
                title:
                  start: 3465
                  end: 3480
                parent: seg:0
                children:
                  - seg:47
                  - seg:48
                level: 1
                span:
                  start: 3453
                  end: 4074
        crossreferences:
          items:
            $ref: '#/components/schemas/ILGSv1 Crossreference'
          type: array
          description: >-
            An array of cross-references within the document pointing to a
            single segment or a span of segments.
          examples:
            - - start: seg:49
                end: seg:51
                span:
                  start: 2213
                  end: 2229
        locations:
          items:
            $ref: '#/components/schemas/ILGSv1 Location'
          type: array
          description: An array of locations identified in the document.
          examples:
            - - id: loc:6
                name:
                  start: 6523
                  end: 6582
                type: address
                parent: loc:1
                children:
                  - loc:3
                  - loc:4
                mentions:
                  - start: 5074
                    end: 5133
                  - start: 6523
                    end: 6582
                  - start: 8094
                    end: 8153
        persons:
          items:
            $ref: '#/components/schemas/ILGSv1 Person'
          type: array
          description: An array of legal persons identified in the document.
          examples:
            - - id: per:8
                name:
                  start: 6943
                  end: 6968
                type: natural
                role: defense_counsel
                parent: per:1
                children:
                  - per:9
                  - per:10
                residence: loc:5
                mentions:
                  - start: 6943
                    end: 6968
        emails:
          items:
            $ref: '#/components/schemas/ILGSv1 Email'
          type: array
          description: >-
            An array of email addresses identified in the document belonging to
            legal persons.


            Email addresses mentioned in the document that are not attributable
            to legal persons will not be extracted.
          examples:
            - - address: hello@example.com
                person: per:3
                mentions:
                  - start: 5142
                    end: 5164
        websites:
          items:
            $ref: '#/components/schemas/ILGSv1 Website'
          type: array
          description: >-
            An array of websites identified in the document belonging to legal
            persons.


            Websites mentioned in the document that are not attributable to
            legal persons will not be extracted.
          examples:
            - - url: https://www.example.com/
                person: per:4
                mentions:
                  - start: 5199
                    end: 5223
        phone_numbers:
          items:
            $ref: '#/components/schemas/ILGSv1 Phone Number'
          type: array
          description: >-
            An array of valid phone numbers identified in the document belonging
            to legal persons.


            Phone numbers mentioned in the document that are not valid,
            possible, or attributable to legal persons will not be extracted.
          examples:
            - - number: +1 202-555-0143
                person: per:5
                mentions:
                  - start: 5173
                    end: 5188
                  - start: 5367
                    end: 5382
        id_numbers:
          items:
            $ref: '#/components/schemas/ILGSv1 ID Number'
          type: array
          description: >-
            An array of identification numbers identified in the document
            belonging to legal persons.


            Identification numbers mentioned in the document that are not
            attributable to legal persons will not be extracted.
          examples:
            - - number: 999-99-9999
                person: per:7
                mentions:
                  - start: 7180
                    end: 7194
        terms:
          items:
            $ref: '#/components/schemas/ILGSv1 Term'
          type: array
          description: An array of terms assigned definite meanings within the document.
          examples:
            - - id: term:3
                name:
                  start: 1564
                  end: 1578
                meaning:
                  start: 1586
                  end: 1603
                mentions:
                  - start: 3347
                    end: 3357
        external_documents:
          items:
            $ref: '#/components/schemas/ILGSv1 External Document'
          type: array
          description: An array of documents identified within the document.
          examples:
            - - id: exd:2
                name:
                  start: 1972
                  end: 2005
                type: statute
                jurisdiction: US
                reception: positive
                mentions:
                  - start: 937
                    end: 941
                  - start: 1972
                    end: 2005
                  - start: 3713
                    end: 3734
                pinpoints:
                  - start: 7696
                    end: 7712
        quotes:
          items:
            $ref: '#/components/schemas/ILGSv1 Quote'
          type: array
          description: An array of quotations within the document.
          examples:
            - - source_segment: null
                source_document: exd:2
                source_person: per:10
                amending: false
                span:
                  start: 949
                  end: 985
        dates:
          items:
            $ref: '#/components/schemas/ILGSv1 Date'
          type: array
          description: >-
            An array of dates identified in the document belonging to one of the
            following types: `creation`, `signature`, `effective`, `expiry`,
            `delivery`, `renewal`, `payment`, `birth`, or `death`.


            Only full Gregorian dates (i.e., including a day, month, and year)
            between the years 1000 and 9999 (inclusive) fitting into one of the
            supported date types are extractable.
          examples:
            - - value: '2028-01-01'
                type: signature
                person: null
                mentions:
                  - start: 1179
                    end: 1194
                  - start: 8784
                    end: 8799
        headings:
          items:
            $ref: '#/components/schemas/ILGSv1 Span'
          type: array
          description: An array of spans within the document's text constituting headings.
          examples:
            - - start: 0
                end: 30
              - start: 116
                end: 133
        junk:
          items:
            $ref: '#/components/schemas/ILGSv1 Span'
          type: array
          description: >-
            An array of spans within the document's text constituting
            non-operative, non-substantive 'junk' content such as headers,
            footers, page numbers, and OCR artifacts.
          examples:
            - - start: 83
                end: 114
        version:
          type: string
          const: ilgs@1
      type: object
      required:
        - text
        - title
        - subtitle
        - type
        - jurisdiction
        - segments
        - crossreferences
        - locations
        - persons
        - emails
        - websites
        - phone_numbers
        - id_numbers
        - terms
        - external_documents
        - quotes
        - dates
        - headings
        - junk
        - version
      title: ILGSv1 Document
      description: >-
        The document enriched into version 1.0.0 of the [Isaacus Legal Graph
        Schema (ILGS)](https://docs.isaacus.com/ilgs).


        All spans in an enriched document graph are indexed into the Unicode
        code point space of a source document.


        The start and end indices of spans are zero-based (i.e., the first
        Unicode code point in the document is at index 0) and half-open (i.e.,
        the end index is exclusive).


        All spans are globally laminar and well-nested similar to XML—it is
        impossible for any two spans to partially overlap; they can only be
        disjoint, adjacent, or wholly nested.


        Spans of the exact same type (e.g., segments) will never be duplicated.


        Spans cannot be empty and will never start or end at whitespace.


        When using programming languages other than Python (which uses
        zero-based, half-open, Unicode code point-spaced string indexing),
        indices may need to be translated accordingly (for example, JavaScript
        slices into UTF-16 code units instead of Unicode code points).
      examples:
        - version: ilgs@1
          text: >-
            [42] The U.S. Attorney General, Mr. McGill, argued at ¶ 21 of the
            Filing that "§ 206 of Title 29 of the U.S. Code (the "Labor Title")
            does not apply to the plaintiff, Ms. Moody, given the definition of
            an "employee" at §203(e)(4) of the Labor Title does not include
            volunteers, and, regardless, she lives in Austria."
          title: null
          subtitle: null
          type: other
          jurisdiction: US-FED
          segments:
            - id: seg:0
              kind: unit
              type: paragraph
              category: annotation
              type_name: null
              code:
                start: 0
                end: 4
              title: null
              parent: null
              children: []
              level: 0
              span:
                start: 0
                end: 317
          crossreferences: []
          locations:
            - id: loc:0
              name:
                start: 308
                end: 315
              type: country
              parent: null
              children: []
              mentions:
                - start: 308
                  end: 315
          persons:
            - id: per:0
              name:
                start: 32
                end: 42
              type: natural
              role: defense_counsel
              parent: null
              children: []
              residence: null
              mentions:
                - start: 32
                  end: 42
            - id: per:1
              name:
                start: 167
                end: 176
              type: natural
              role: plaintiff
              parent: null
              children: []
              residence: loc:0
              mentions:
                - start: 167
                  end: 176
          emails: []
          websites: []
          phone_numbers: []
          id_numbers: []
          terms:
            - id: term:0
              name:
                start: 120
                end: 131
              meaning:
                start: 88
                end: 113
              mentions:
                - start: 237
                  end: 248
          external_documents:
            - id: exd:0
              name:
                start: 66
                end: 72
              type: other
              jurisdiction: US-FED
              reception: neutral
              mentions:
                - start: 66
                  end: 72
              pinpoints:
                - start: 54
                  end: 58
            - id: exd:1
              name:
                start: 80
                end: 113
              type: statute
              jurisdiction: US-FED
              reception: neutral
              mentions:
                - start: 80
                  end: 113
              pinpoints:
                - start: 79
                  end: 84
                - start: 219
                  end: 229
          quotes:
            - source_segment: null
              source_document: exd:0
              source_person: per:0
              amending: false
              span:
                start: 79
                end: 317
          dates: []
          headings: []
          junk: []
    ILGSv1 Span:
      properties:
        start:
          type: integer
          minimum: 0
          description: >-
            The zero-based start index of the half-open span of Unicode code
            points in the input text.
          examples:
            - 5805
        end:
          type: integer
          minimum: 0
          description: >-
            The zero-based end index of the half-open span (i.e., the end is
            exclusive) of Unicode code points in the input text.
          examples:
            - 6036
      type: object
      required:
        - start
        - end
      title: ILGSv1 Span
      description: >-
        A zero-based, half-open span into the Unicode code point space of input
        text.


        All spans are globally laminar and well-nested similar to XML—it is
        impossible for any two spans to partially overlap; they can only be
        disjoint, adjacent, or wholly nested. Spans of the exact same type
        (e.g., segments) will never be duplicated.


        A span cannot be empty and will never start or end at whitespace (though
        a span's `end` index, being an exclusive index, may obviosuly land on a
        whitespace character).


        Note that, when using programming languages other than Python (which
        uses zero-based, half-open, Unicode code point-spaced string indexing),
        indices may need to be translated accordingly (for example, JavaScript
        slices into UTF-16 code units instead of Unicode code points).
      examples:
        - start: 5805
          end: 6036
    ILGSv1 Segment:
      properties:
        id:
          type: string
          minLength: 5
          pattern: ^seg:.+$
          description: >-
            The unique identifier of the segment in the format
            `seg:{identifier}`.
          examples:
            - seg:46
        kind:
          type: string
          enum:
            - container
            - unit
            - item
            - figure
          description: >-
            The structural 'kind' of the segment, being one of `container`,
            `unit`, `item`, or `figure`.


            A `container` is a structural or semantic grouping of content such
            as a chapter. It can contain segments of any kind or none at all.


            A `unit` is a single syntactically independent unit of text such as
            a paragraph. It can only contain `item`s and `figure`s.


            An `item` is a syntactically subordinate unit of text such as an
            item in a run-in list. It can only contain other `item`s. Note that
            an `item` is conceptually distinct from a list item—it is perfectly
            possible to encounter list items that are syntactically independent
            of their surrounding items just as it is possible to encounter
            dependent clauses that do not appear as part of a list.


            A `figure` is a visually structured or tabular unit of content such
            as a diagram, equation, or table. It cannot contain segments.
          examples:
            - container
        type:
          type:
            - 'null'
            - string
          enum:
            - title
            - book
            - part
            - chapter
            - subchapter
            - division
            - subdivision
            - subpart
            - subtitle
            - table_of_contents
            - article
            - section
            - regulation
            - rule
            - clause
            - paragraph
            - subarticle
            - subsection
            - subregulation
            - subrule
            - subclause
            - subparagraph
            - item
            - subitem
            - point
            - indent
            - schedule
            - annex
            - appendix
            - exhibit
            - recital
            - signature
            - note
            - figure
            - table
            - formula
            - null
          description: >-
            The addressable 'type' of the segment within the document's
            referential scheme and hierarchy, whether defined explicitly (e.g.,
            by headings, such as 'Section 2. Definitions'), implicitly (e.g., by
            way of reference, such as 'as defined in Section 2'), or by
            convention (e.g., [42] in a judgment often denotes a `paragraph`,
            independent provisions in statute are often `section`s, etc.). If
            the type is not known or not applicable, it will be set to `null`.


            Note that, although many segment types may coincide with syntactic
            constructs, they should be thought of purely as distinct formal
            citable units. Most paragraphs (in the syntactic sense) will not
            have the `paragraph` type, for example. That type is reserved for
            segments that would formally be cited as a 'Paragraph' within the
            document's referential scheme.


            The following types are currently supported: `title`, `book`,
            `part`, `chapter`, `subchapter`, `division`, `subdivision`,
            `subpart`, `subtitle`, `table_of_contents`, `article`, `section`,
            `regulation`, `rule`, `clause`, `paragraph`, `subarticle`,
            `subsection`, `subregulation`, `subrule`, `subclause`,
            `subparagraph`, `item`, `subitem`, `point`, `indent`, `schedule`,
            `annex`, `appendix`, `exhibit`, `recital`, `signature`, `note`,
            `figure`, `table`, and `formula`.


            The `title`, `book`, `part`, `chapter`, `subchapter`, `division`,
            `subdivision`, `subpart`, `subtitle`, and `table_of_contents` types
            are exclusive to the `container` kind.


            The `figure` kind only supports the `figure`, `table`, and `formula`
            types, all of which are exclusive to it.
          examples:
            - section
        category:
          type: string
          enum:
            - front_matter
            - scope
            - main
            - annotation
            - back_matter
            - other
          description: >-
            The functional 'category' of the segment within the document, being
            one of `front_matter`, `scope`, `main`, `annotation`, `back_matter`,
            or `other`.


            `front_matter` denotes non-operative contextualizing content
            occurring at the start of a document such as a preamble or recitals.


            `scope` denotes operative content defining the application or
            interpretation of a document such as definition sections and
            governing law clauses.


            `main` denotes operative, non-scopal content.


            `annotation` denotes non-operative annotative content providing
            explanatory or referential information such as commentary,
            footnotes, and endnotes.


            `back_matter` denotes non-operative contextualizing content
            occurring at the end of a document such as authority statements.


            `other` denotes content that does not fit into any of the other
            categories.
          examples:
            - main
        type_name:
          oneOf:
            - $ref: '#/components/schemas/ILGSv1 Span'
            - type: 'null'
          description: >-
            The span within the segment defining its type (for example,
            'Section' in 'Section 2 - Definitions') or `null` if no such span
            exists.
          examples:
            - start: 3453
              end: 3460
        code:
          oneOf:
            - $ref: '#/components/schemas/ILGSv1 Span'
            - type: 'null'
          description: >-
            The span within the segment defining its code (for example, '2' in
            'Section 2 - Definitions') or `null` if no such span exists.
          examples:
            - start: 3461
              end: 3462
        title:
          oneOf:
            - $ref: '#/components/schemas/ILGSv1 Span'
            - type: 'null'
          description: >-
            The span within the segment defining its title (for example,
            'Definitions' in 'Section 2 - Definitions') or `null` if no such
            span exists.
          examples:
            - start: 3465
              end: 3480
        parent:
          oneOf:
            - type: string
              title: ILGSv1 Segment ID
              description: >-
                A unique identifier for a segment in the format
                `seg:{identifier}`.
              examples:
                - seg:42
            - type: 'null'
          description: >-
            The unique identifier of the 'parent' segment immediately containing
            this segment or `null` if the segment has no parent (i.e., it is a
            root-level segment).


            A segment with the `container` kind can be the parent of segments of
            any kind, including other `container`s.


            A segment with the `unit` kind can only be the parent of `item`s and
            `figure`s.


            A segment with the `item` kind can only be the parent of other
            `item`s.


            A segment with the `figure` kind cannot be the parent of any
            segments.
          examples:
            - seg:0
        children:
          items:
            type: string
            title: ILGSv1 Segment ID
            description: >-
              A unique identifier for a segment in the format
              `seg:{identifier}`.
            examples:
              - seg:42
          type: array
          description: >-
            The unique identifiers of any segments having this segment as their
            immediate parent.
          examples:
            - seg:47
            - seg:48
        level:
          type: integer
          minimum: 0
          description: >-
            The level of the segment within the document's segment hierarchy
            starting from `0` for root-level segments.
          examples:
            - 1
        span:
          $ref: '#/components/schemas/ILGSv1 Span'
      type: object
      required:
        - id
        - kind
        - type
        - category
        - type_name
        - code
        - title
        - parent
        - children
        - level
        - span
      title: ILGSv1 Segment
      description: >-
        A segment within the document representing a structurally distinct
        portion of the document's content.
      examples:
        - id: seg:46
          kind: container
          type: section
          category: main
          type_name:
            start: 3453
            end: 3460
          code:
            start: 3461
            end: 3462
          title:
            start: 3465
            end: 3480
          parent: seg:0
          children:
            - seg:47
            - seg:48
          level: 1
          span:
            start: 3453
            end: 4074
    ILGSv1 Crossreference:
      properties:
        start:
          type: string
          minLength: 5
          pattern: ^seg:.+$
          description: >-
            The unique identifier of the earliest segment in the span of
            segments being cross-referenced with ties broken in favor of the
            least-nested (i.e., largest) segment. If the cross-reference points
            to a single segment, `start` and `end` will be identical.
          examples:
            - seg:49
        end:
          type: string
          minLength: 5
          pattern: ^seg:.+$
          description: >-
            The unique identifier of the latest segment in the span of segments
            being cross-referenced with ties broken in favor of the least-nested
            (i.e., largest) segment. If the cross-reference points to a single
            segment, `start` and `end` will be identical.
          examples:
            - seg:51
        span:
          $ref: '#/components/schemas/ILGSv1 Span'
      type: object
      required:
        - start
        - end
        - span
      title: ILGSv1 Crossreference
      description: A cross-reference within the document pointing to one or more segments.
      examples:
        - start: seg:49
          end: seg:51
          span:
            start: 2213
            end: 2229
    ILGSv1 Location:
      properties:
        id:
          type: string
          minLength: 5
          pattern: ^loc:.+$
          description: >-
            The unique identifier of the location in the format
            `loc:{identifier}`.
          examples:
            - loc:6
        name:
          $ref: '#/components/schemas/ILGSv1 Span'
        type:
          type: string
          enum:
            - country
            - state
            - city
            - address
            - other
          description: >-
            The type of the location, being one of `country`, `state`, `city`,
            `address`, or `other`.
          examples:
            - address
        parent:
          oneOf:
            - type: string
              title: ILGSv1 Location ID
              description: >-
                A unique identifier for a location in the format
                `loc:{identifier}`.
              examples:
                - loc:6
            - type: 'null'
          description: >-
            The unique identifier of the 'parent' location immediately
            containing this location or `null` if the location has no ancestors
            identified in the document.


            Locations with the `address` and `other` types can have locations of
            any type as their parents.


            A location with the `city` type cannot have a location with the
            `address` type as its parent.


            A location with the `state` type cannot have a location with the
            `address` or `city` types as its parent.


            A location with the `country` type cannot have a location with the
            `address`, `city`, or `state` types as its parent.


            It is impossible for a location to be its own ancestor.
          examples:
            - loc:1
        children:
          items:
            type: string
            title: ILGSv1 Location ID
            description: >-
              A unique identifier for a location in the format
              `loc:{identifier}`.
            examples:
              - loc:6
          type: array
          description: >-
            The unique identifiers of any 'child' locations having this location
            as their immediate parent.
          examples:
            - loc:3
            - loc:4
        mentions:
          items:
            $ref: '#/components/schemas/ILGSv1 Span'
          type: array
          description: >-
            An array of one or more spans within the document's text where the
            location is mentioned.
          examples:
            - - start: 5074
                end: 5133
              - start: 6523
                end: 6582
              - start: 8094
                end: 8153
      type: object
      required:
        - id
        - name
        - type
        - parent
        - children
        - mentions
      title: ILGSv1 Location
      description: A location identified within a document.
      examples:
        - id: loc:6
          name:
            start: 6523
            end: 6582
          type: address
          parent: loc:1
          children:
            - loc:3
            - loc:4
          mentions:
            - start: 5074
              end: 5133
            - start: 6523
              end: 6582
            - start: 8094
              end: 8153
    ILGSv1 Person:
      properties:
        id:
          type: string
          minLength: 5
          pattern: ^per:.+$
          description: >-
            The unique identifier of the person in the format
            `per:{identifier}`.
          examples:
            - per:8
        name:
          $ref: '#/components/schemas/ILGSv1 Span'
        type:
          type: string
          enum:
            - natural
            - corporate
            - politic
          description: >-
            The legal entity type of the person, being one of `natural`,
            `corporate`, or `politic`.


            `natural` denotes a human being in their capacity as a natural legal
            person, including when representing unincorporated entities such as
            partnerships and trusts.


            `corporate` denotes a body corporate such as a company, incorporated
            partnership, or statutory corporation.


            `politic` denotes a body politic, political entity, or part thereof
            such as a court, state, government, or intergovernmental
            organization.
          examples:
            - natural
        role:
          type: string
          enum:
            - plaintiff
            - petitioner
            - applicant
            - appellant
            - appellee
            - claimant
            - complainant
            - defendant
            - respondent
            - prior_authority
            - prosecutor
            - defense_counsel
            - amicus
            - intervener
            - borrower
            - lender
            - guarantor
            - lessee
            - lessor
            - employer
            - employee
            - licensor
            - licensee
            - franchisor
            - franchisee
            - buyer
            - seller
            - contractor
            - shareholder
            - joint_venturer
            - investor
            - insurer
            - insured
            - enacting_authority
            - empowered_authority
            - settlor
            - trustee
            - beneficiary
            - debater
            - director
            - governing_jurisdiction
            - clerk
            - witness
            - other
            - non_party
          description: >-
            The role of the person in relation to the subject of the document.


            The following roles are currently supported:

            |                         
            |                                                                                                                                                                                                                                                                                                                                     
            |

            | ------------------------ |
            ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
            |

            | `plaintiff`              | A party initiating the case that is the
            subject of the
            document.                                                                                                                                                                                                                                                                    
            |

            | `petitioner`             | A party initiating the petition that is
            the subject of the
            document.                                                                                                                                                                                                                                                                
            |

            | `applicant`              | A party initiating the application that
            is the subject of the
            document.                                                                                                                                                                                                                                                             
            |

            | `appellant`              | A party appealing the decision that is
            the subject of the
            document.                                                                                                                                                                                                                                                                 
            |

            | `appellee`               | A party responding to the appeal that
            is the subject of the document if they are explicitly referred to as
            an
            'appellee'.                                                                                                                                                                                                           
            |

            | `claimant`               | A party making a claim in the case that
            is the subject of the
            document.                                                                                                                                                                                                                                                             
            |

            | `complainant`            | A party making a complaint in the case
            that is the subject of the
            document.                                                                                                                                                                                                                                                         
            |

            | `defendant`              | A party defending against the case that
            is the subject of the
            document.                                                                                                                                                                                                                                                             
            |

            | `respondent`             | A party responding to the petition,
            appeal, or application that is the subject of the
            document.                                                                                                                                                                                                                                     
            |

            | `prior_authority`        | An authority (e.g., judge, tribunal,
            court) that made a prior decision in the case that is the subject of
            the document. Both individual judges and courts should be annotated
            with this role where applicable. This is not to be used for
            authorities cited as precedent, only for those that made prior
            decisions in the same case. |

            | `prosecutor`             | A lawyer prosecuting the case that is
            the subject of the
            document.                                                                                                                                                                                                                                                                  
            |

            | `defense_counsel`        | A lawyer defending the case that is the
            subject of the
            document.                                                                                                                                                                                                                                                                    
            |

            | `amicus`                 | A party filing an amicus curiae brief
            in the case that is the subject of the
            document.                                                                                                                                                                                                                                              
            |

            | `intervener`             | A party attempting to or that has
            intervened in the case that is the subject of the
            document.                                                                                                                                                                                                                                       
            |

            | `borrower`               | A party borrowing money or other assets
            under the agreement that is the subject of the document, including
            'mortgagors' and
            'debtors'.                                                                                                                                                                                              
            |

            | `lender`                 | A party lending money or other assets
            under the agreement that is the subject of the document, including
            'mortgagees' and
            'creditors'.                                                                                                                                                                                              
            |

            | `guarantor`              | A party guaranteeing obligations under
            the agreement that is the subject of the document, including
            'sureties'.                                                                                                                                                                                                                     
            |

            | `lessee`                 | A party leasing goods or services under
            the agreement that is the subject of the document, including
            'tenants'.                                                                                                                                                                                                                     
            |

            | `lessor`                 | A party leasing goods or services under
            the agreement that is the subject of the document, including
            'landlords'.                                                                                                                                                                                                                   
            |

            | `employer`               | A party employing personnel under the
            agreement that is the subject of the
            document.                                                                                                                                                                                                                                                
            |

            | `employee`               | A party employed under the agreement
            that is the subject of the
            document.                                                                                                                                                                                                                                                           
            |

            | `licensor`               | A party licensing intellectual property
            or other rights under the agreement that are the subject of the
            document.                                                                                                                                                                                                                   
            |

            | `licensee`               | A party licensed to use intellectual
            property or other rights under the agreement that are the subject of
            the
            document.                                                                                                                                                                                                             
            |

            | `franchisor`             | A party granting a franchise under the
            agreement that is the subject of the
            document.                                                                                                                                                                                                                                               
            |

            | `franchisee`             | A party granted a franchise under the
            agreement that is the subject of the
            document.                                                                                                                                                                                                                                                
            |

            | `buyer`                  | A party purchasing goods or services
            under the agreement that is the subject of the document, including
            'purchasers', 'customers', and
            'clients'.                                                                                                                                                                                   
            |

            | `seller`                 | A party selling or providing goods or
            services under the agreement that is the subject of the document,
            including 'Vendors', 'Suppliers', and 'Service Providers' (where
            such parties are actually providing goods or services under the
            agreement).                                                                                
            |

            | `contractor`             | A party contracted to perform work or
            services under the agreement that is the subject of the document,
            including
            'consultants'.                                                                                                                                                                                                    
            |

            | `shareholder`            | A party holding shares or equity under
            the agreement that is the subject of the
            document.                                                                                                                                                                                                                                           
            |

            | `joint_venturer`         | A party participating in a joint
            venture under the agreement that is the subject of the
            document.                                                                                                                                                                                                                                   
            |

            | `investor`               | A party investing money or assets under
            the agreement that is the subject of the
            document.                                                                                                                                                                                                                                          
            |

            | `insurer`                | A party providing insurance under the
            agreement that is the subject of the
            document.                                                                                                                                                                                                                                                
            |

            | `insured`                | A party insured under the agreement
            that is the subject of the
            document.                                                                                                                                                                                                                                                            
            |

            | `settlor`                | A party establishing the trust that is
            the subject of the
            document.                                                                                                                                                                                                                                                                 
            |

            | `trustee`                | A party managing the trust that is the
            subject of the
            document.                                                                                                                                                                                                                                                                     
            |

            | `beneficiary`            | A party benefiting from the trust that
            is the subject of the
            document.                                                                                                                                                                                                                                                              
            |

            | `enacting_authority`     | An authority (e.g., legislature,
            regulator, Minister/Secretary, President/Prime Minister, tribunal,
            court, judge) giving legal effect to or authorizing the document.
            All relevant individuals and bodies should be annotated with this
            role where
            applicable.                                                                      
            |

            | `empowered_authority`    | An authority (e.g., government agency,
            regulator, Minister/Secretary, President/Prime Minister, tribunal,
            court) empowered by the document to carry out functions or
            duties.                                                                                                                                                        
            |

            | `debater`                | A person participating in the debate
            that is the subject of the
            document.                                                                                                                                                                                                                                                           
            |

            | `governing_jurisdiction` | The jurisdiction whose laws govern the
            document.                                                                                                                                                                                                                                                                                    
            |

            | `director`               | A director or other officer of a
            corporate legal person mentioned in the
[...]
